libmwawOLE Namespace Reference

a namespace used to wrap basic OLE functions More...

## Classes

class | Header
class | AllocTable
class | DirInfo
| Internal and low level: class of libmwawOLE used to store and write a information find in a directory entry. More...
class | DirEntry
| Internal and low level: class of libmwawOLE used to store and write a directory entry. More...
class | DirTree
| Internal and low level: class of libmwawOLE used to store and write a dirTree. More...
class | IStorage
| Internal and low level: class of libmwawOLE used to read an OLE with various functions to retrieve the OLE content. More...
class | IStream
class | OStorage
class | Storage
| class used to read/parse an OLE file More...

## Enumerations

enum | { Avail = 0xffffffff, Eof = 0xfffffffe, Bat = 0xfffffffd, MetaBat = 0xfffffffc, NotFound =0xfffffff0 }

## Functions

static unsigned long | readU16 (const unsigned char *ptr)
static unsigned long | readU32 (const unsigned char *ptr)
static void | writeU16 (unsigned char *ptr, unsigned long data)
static void | writeU32 (unsigned char *ptr, unsigned long data)
std::ostream & | operator<< (std::ostream &o, Header const &h)
std::ostream & | operator<< (std::ostream &o, DirEntry const &e)

## Detailed Description

a namespace used to wrap basic OLE functions

## Enumeration Type Documentation

anonymous enum

Enumerator
Avail |
Eof |
Bat |
MetaBat |
NotFound |

## Function Documentation

std::ostream& libmwawOLE::operator<< | ( | std::ostream & | o,
|  | Header const & | h
| ) |  |

std::ostream& libmwawOLE::operator<< | ( | std::ostream & | o,
|  | DirEntry const & | e
| ) |  |

static unsigned long libmwawOLE::readU16 | ( | const unsigned char * | ptr | ) |

inline static

Referenced by libmwawOLE::Header::load(), and libmwawOLE::DirEntry::load().

static unsigned long libmwawOLE::readU32 | ( | const unsigned char * | ptr | ) |

inline static

Referenced by libmwawOLE::Header::load(), libmwawOLE::AllocTable::load(), libmwawOLE::DirEntry::load(), and libmwawOLE::IStorage::load().

static void libmwawOLE::writeU16 | ( | unsigned char * | ptr,
|  | unsigned long | data
| ) |  |

inline static

Referenced by libmwawOLE::Header::save(), and libmwawOLE::DirEntry::save().

static void libmwawOLE::writeU32 | ( | unsigned char * | ptr,
|  | unsigned long | data
| ) |  |

inline static

Referenced by libmwawOLE::Header::save(), libmwawOLE::AllocTable::save(), libmwawOLE::DirEntry::save(), and libmwawOLE::OStorage::updateToSave().